=== modified file 'drizzled/common_fwd.h'
--- drizzled/common_fwd.h	2011-03-26 16:45:02 +0000
+++ drizzled/common_fwd.h	2011-03-26 17:26:44 +0000
@@ -94,7 +94,6 @@
 typedef struct charset_info_st CHARSET_INFO;
 typedef struct my_locale_st MY_LOCALE;
 typedef struct system_status_var system_status_var;
-typedef struct st_typelib TYPELIB;
 
 class AlterColumn;
 class AlterDrop;
@@ -149,7 +148,7 @@
 class TableShareInstance;
 class Time;
 class Time_zone;
-// class TYPELIB;
+class TYPELIB;
 class user_var_entry;
 class var;
 struct CacheField;

=== modified file 'drizzled/create_field.h'
--- drizzled/create_field.h	2011-03-14 23:52:23 +0000
+++ drizzled/create_field.h	2011-03-26 17:26:44 +0000
@@ -21,10 +21,7 @@
 
 #include <drizzled/field.h>
 
-namespace drizzled
-{
-class Item;
-typedef struct st_typelib TYPELIB;
+namespace drizzled {
 
 /**
  * Class representing a field in a CREATE TABLE statement.

=== modified file 'drizzled/field.h'
--- drizzled/field.h	2011-03-14 05:40:28 +0000
+++ drizzled/field.h	2011-03-26 17:26:44 +0000
@@ -26,6 +26,7 @@
 
 #pragma once
 
+#include <drizzled/common_fwd.h>
 #include <drizzled/sql_error.h>
 #include <drizzled/type/decimal.h>
 #include <drizzled/key_map.h>
@@ -54,8 +55,6 @@
 #define ASSERT_COLUMN_MARKED_FOR_WRITE assert(getTable())
 #endif
 
-typedef struct st_typelib TYPELIB;
-
 const uint32_t max_field_size= (uint32_t) 4294967295U;
 
 class SendField;

=== modified file 'drizzled/item/type_holder.h'
--- drizzled/item/type_holder.h	2011-03-14 05:40:28 +0000
+++ drizzled/item/type_holder.h	2011-03-26 17:26:44 +0000
@@ -19,16 +19,7 @@
 
 #pragma once
 
-namespace drizzled
-{
-
-typedef struct st_typelib TYPELIB;
-class String;
-namespace type {
-class Decimal;
-}
-class Session;
-class Item;
+namespace drizzled {
 
 /*
   Item_type_holder used to store type. name, length of Item for UNIONS &

=== modified file 'drizzled/option.h'
--- drizzled/option.h	2011-03-14 05:40:28 +0000
+++ drizzled/option.h	2011-03-26 17:26:44 +0000
@@ -15,8 +15,9 @@
 
 #pragma once
 
-namespace drizzled
-{
+#include <drizzled/common_fwd.h>
+
+namespace drizzled {
 
 #define GET_NO_ARG     1
 #define GET_BOOL       2
@@ -47,8 +48,6 @@
 
 enum get_opt_arg_type { NO_ARG, OPT_ARG, REQUIRED_ARG };
 
-struct st_typelib;
-
 struct option
 {
   const char *name;                     /* Name of the option */
@@ -56,7 +55,7 @@
   const char *comment;                  /* option comment, for autom. --help */
   char      **value;                   /* The variable value */
   char      **u_max_value;             /* The user def. max variable value */
-  struct st_typelib *typelib;           /* Pointer to possible values */
+  TYPELIB *typelib;           /* Pointer to possible values */
   uint32_t     var_type;
   enum get_opt_arg_type arg_type;
   int64_t   def_value;                 /* Default value */

=== modified file 'drizzled/sql_locale.cc'
--- drizzled/sql_locale.cc	2011-02-17 00:14:13 +0000
+++ drizzled/sql_locale.cc	2011-03-26 17:26:44 +0000
@@ -22,9 +22,9 @@
 #include <drizzled/sql_locale.h>
 #include <drizzled/typelib.h>
 #include <drizzled/charset_info.h>
+#include <drizzled/definitions.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
 /***** LOCALE BEGIN ar_AE: Arabic - United Arab Emirates *****/
 static const char *my_locale_month_names_ar_AE[13] =

=== modified file 'drizzled/sql_locale.h'
--- drizzled/sql_locale.h	2011-03-14 05:40:28 +0000
+++ drizzled/sql_locale.h	2011-03-26 17:26:44 +0000
@@ -19,10 +19,9 @@
 
 #pragma once
 
-namespace drizzled
-{
+#include <drizzled/common_fwd.h>
 
-typedef struct st_typelib TYPELIB;
+namespace drizzled {
 
 typedef struct my_locale_st
 {

=== modified file 'drizzled/strfunc.cc'
--- drizzled/strfunc.cc	2011-02-22 22:39:22 +0000
+++ drizzled/strfunc.cc	2011-03-26 17:26:44 +0000
@@ -44,7 +44,7 @@
 
 static const char field_separator=',';
 
-uint64_t st_typelib::find_set(const char *str, uint32_t length,
+uint64_t TYPELIB::find_set(const char *str, uint32_t length,
                   const CHARSET_INFO * const cs,
                   char **err_pos, uint32_t *err_len, bool *set_warning) const
 {
@@ -98,7 +98,7 @@
   > 0 position in TYPELIB->type_names +1
 */
 
-uint32_t st_typelib::find_type(const char *find, uint32_t length, bool part_match) const
+uint32_t TYPELIB::find_type(const char *find, uint32_t length, bool part_match) const
 {
   uint32_t found_count=0, found_pos=0;
   const char *end= find+length;
@@ -138,7 +138,7 @@
     >0  Offset+1 in typelib for matched string
 */
 
-uint32_t st_typelib::find_type2(const char *x, uint32_t length, const CHARSET_INFO *cs) const
+uint32_t TYPELIB::find_type2(const char *x, uint32_t length, const CHARSET_INFO *cs) const
 {
   if (!count)
     return 0;

=== modified file 'drizzled/sys_var.h'
--- drizzled/sys_var.h	2011-03-14 05:40:28 +0000
+++ drizzled/sys_var.h	2011-03-26 17:26:44 +0000
@@ -22,6 +22,7 @@
 #include <string>
 #include <boost/filesystem.hpp>
 
+#include <drizzled/common_fwd.h>
 #include <drizzled/constrained_value.h>
 #include <drizzled/set_var.h>
 #include <drizzled/show_type.h>
@@ -33,11 +34,9 @@
 
 namespace drizzled {
 
-class Session;
 class sys_var;
 class Time_zone;
 typedef struct my_locale_st MY_LOCALE;
-typedef struct st_typelib TYPELIB;
 
 typedef int (*sys_check_func)(Session *,  set_var *);
 typedef bool (*sys_update_func)(Session *, set_var *);

=== modified file 'drizzled/typelib.cc'
--- drizzled/typelib.cc	2011-02-17 00:14:13 +0000
+++ drizzled/typelib.cc	2011-03-26 17:26:44 +0000
@@ -21,14 +21,14 @@
 
 #include <drizzled/internal/m_string.h>
 #include <drizzled/charset_info.h>
+#include <drizzled/memory/root.h>
 #include <drizzled/typelib.h>
 
-namespace drizzled
-{
+namespace drizzled {
 
 static const char field_separator=',';
 
-int st_typelib::find_type_or_exit(const char *x, const char *option) const
+int TYPELIB::find_type_or_exit(const char *x, const char *option) const
 {
   int res= find_type(const_cast<char*>(x), 2);
   if (res > 0)
@@ -70,13 +70,13 @@
 */
 
 
-int st_typelib::find_type(const char *x, uint32_t full_name) const
+int TYPELIB::find_type(const char *x, uint32_t full_name) const
 {
   assert(full_name & 2);
   return find_type(const_cast<char*>(x), full_name);
 }
 
-int st_typelib::find_type(char *x, uint32_t full_name) const
+int TYPELIB::find_type(char *x, uint32_t full_name) const
 {
   if (!count)
     return 0;
@@ -124,7 +124,7 @@
 	/* Get name of type nr 'nr' */
 	/* Warning first type is 1, 0 = empty field */
 
-void st_typelib::make_type(char *to, uint32_t nr) const
+void TYPELIB::make_type(char *to, uint32_t nr) const
 {
   if (!nr)
     to[0]= 0;
@@ -136,7 +136,7 @@
 	/* Get type */
 	/* Warning first type is 0 */
 
-const char *st_typelib::get_type(uint32_t nr) const
+const char *TYPELIB::get_type(uint32_t nr) const
 {
   if (nr < count && type_names)
     return type_names[nr];
@@ -159,7 +159,7 @@
     a integer representation of the supplied string
 */
 
-uint64_t st_typelib::find_typeset(const char *x, int *err) const
+uint64_t TYPELIB::find_typeset(const char *x, int *err) const
 {
   if (!count)
     return 0;
@@ -193,7 +193,7 @@
     NULL otherwise
 */
 
-TYPELIB *st_typelib::copy_typelib(memory::Root *root) const
+TYPELIB *TYPELIB::copy_typelib(memory::Root *root) const
 {
   TYPELIB *to;
   uint32_t i;

=== modified file 'drizzled/typelib.h'
--- drizzled/typelib.h	2011-03-14 05:40:28 +0000
+++ drizzled/typelib.h	2011-03-26 17:26:44 +0000
@@ -16,16 +16,14 @@
 
 #pragma once
 
-#include <drizzled/global_charset_info.h>
-#include <drizzled/memory/root.h>
-
-namespace drizzled
-{
-
-typedef struct st_typelib 
+#include <drizzled/common_fwd.h>
+
+namespace drizzled {
+
+class TYPELIB
 {
 public:
-  st_typelib *copy_typelib(memory::Root *root) const;
+  TYPELIB *copy_typelib(memory::Root *root) const;
   int find_type_or_exit(const char *x, const char *option) const;
   int find_type(const char *x, unsigned int full_name) const;
   int find_type(char *x, unsigned int full_name) const;
@@ -42,7 +40,7 @@
   const char *name;
   const char **type_names;
   unsigned int *type_lengths;
-} TYPELIB;
+};
 
 } /* namespace drizzled */
 

